Subject: [alpine-aports] [PATCH] testing/opam: new aport

From: Muh Muhten <[email-masked]>
Date: Fri, 4 Sep 2015 23:06:58 -0400

---
 testing/opam/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/opam/APKBUILD

diff --git a/testing/opam/APKBUILD b/testing/opam/APKBUILD
new file mode 100644
index 0000000..dea25bc
--- /dev/null
+++ b/testing/opam/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Michael Zuo <[email-masked]>
+# Maintainer: Michael Zuo <[email-masked]>
+pkgname=opam
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="OCaml Package Manager"
+url="http://opam.ocaml.org"
+arch="all"
+license="LGPL3"
+makedepends="ocaml"
+install=""
+subpackages=""
+source="https://github.com/ocaml/$pkgname/releases/download/$pkgver/$pkgname-full-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-full-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make -j1 lib-ext all || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7d348c2898795e9f325fb80eaaf5eae8  opam-full-1.2.2.tar.gz"
+sha256sums="15e617179251041f4bf3910257bbb8398db987d863dd3cfc288bdd958de58f00  opam-full-1.2.2.tar.gz"
+sha512sums="f095ef4c02e6a411ee115b508c7dc21cf6480f60ad5d84ed5ce5868afa1f6225ead0eb6703763d803edc22595e83db67cdd1a4ecab50ee2c62c20965b0542436  opam-full-1.2.2.tar.gz"
-- 
2.3.2 (Apple Git-55)

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---